
eole-common - Anomalie #4594

pb sur nom de domaine smtp dans la conf de bastion

12/13/2012 03:12 PM - Philippe Roy

Status: Fermé Start date: 12/13/2012

Priority: Normal Due date:  

Assigned To: Joël Cuissinat % Done: 100%

Category:  Estimated time: 0.50 hour

Target version: 2.3.7 Minimale Spent time: 0.50 hour

Distribution: EOLE 2.3   

Description

Après mise à jour avec la candidate le service bastion renvoie le message d'erreur suivant :

Error : Error for ip smtp.ac-aix-marseille.fr: only one '-' allowed in IP Address in 00_mail.fw

 

Pour info. dernière ligne dans : /usr/share/eole/firewall/00_mail.fw

allow_dest(interface='eth0', ip='smtp.ac-aix-marseille.fr', port='25')

Associated revisions

Revision c5257add - 12/13/2012 03:50 PM - Joël Cuissinat

loader.py : correction de la détection des noms de domaine

Fixes #4594 @20m

History

#1 - 12/13/2012 03:32 PM - Joël Cuissinat

- Status changed from Nouveau to Accepté

- Assigned To set to Joël Cuissinat

- Target version set to 2.3.7 Minimale

- Estimated time set to 0.50 h

#2 - 12/13/2012 03:51 PM - Joël Cuissinat

- Status changed from Accepté to Résolu

- % Done changed from 0 to 100

Appliqué par commit eole-common:c5257add87787505907bc190ed8bf32a5c30bc6d.

#3 - 12/13/2012 03:54 PM - Joël Cuissinat

- Project changed from Commun to eole-common

#4 - 01/03/2013 04:50 PM - Joël Cuissinat

- Status changed from Résolu to Fermé
https://dev-eole.ac-dijon.fr/projects/eole-common/repository/revisions/c5257add87787505907bc190ed8bf32a5c30bc6d


eole-common                 2.3-eole151

root@amonecole:~# cat /usr/share/eole/firewall/00_web_test.fw

allow_dest(interface='eth0', ip='1.2.3.4', port='99')

allow_dest(interface='eth0', ip='smtp.ac-dijon.fr', port='99')

allow_dest(interface='eth0', ip='smtp.ac-aix-marseille.fr', port='99')

root@amonecole:~# /etc/init.d/bastion restart

   [ ... ]

root@amonecole:~# iptables-save | grep ' 99 '

-A FORWARD -s 192.0.2.51/32 -d 1.2.3.4/32 -i br0 -o eth0 -p tcp -m tcp --dport 99 --tcp-flags FIN,SYN,RST,ACK 

SYN -j ACCEPT 

-A FORWARD -s 192.0.2.51/32 -d 195.221.236.200/32 -i br0 -o eth0 -p tcp -m tcp --dport 99 --tcp-flags FIN,SYN,

RST,ACK SYN -j ACCEPT 

-A FORWARD -s 192.0.2.51/32 -d 195.83.253.121/32 -i br0 -o eth0 -p tcp -m tcp --dport 99 --tcp-flags FIN,SYN,R

ST,ACK SYN -j ACCEPT 

-A FORWARD -s 192.0.2.51/32 -d 195.83.253.122/32 -i br0 -o eth0 -p tcp -m tcp --dport 99 --tcp-flags FIN,SYN,R

ST,ACK SYN -j ACCEPT
